Changelog#
2026#
October 21, 2026 — Add warning about webhooks being ahead of other APIs.
At peak times, webhooks can be up to 3 minutes ahead of our other APIs. If you fetch a resource immediately after receiving a webhook, the API may still return its previous state.
- If possible, treat the webhook as the source of truth for the change.
- If you need to read the resource straight after an event, and it has a status that is older than the event, wait and retry. A retry after 2, 4, 8, 16 seconds and so on, for up to about 3 minutes.\
We are actively working on ensuring that the API is consistent with webhooks, and on minimising the delay.
October 16, 2026 — Add include parameter to payments
Includes linked resources in the response. Use customer to embed customer details, or mandate to embed mandate details.
October 12, 2026 — Add include parameter to mandates
Includes linked resources in the response. Use customer to embed customer details, or bank_account to embed bank account details.
October 6, 2026 — Add previously undocumented fields to billing_request
Add payment_request.retry_if_possible - On failure, automatically retry payments using intelligent retries.
Add actions.available_country_codes - list of currencies the current mandate supports
October 6, 2026 — Updates the public institutions API to allow merchants to provide the include_disabled query param and see institution status per feature
October 5, 2026 — Fixed postal_code and country_code fields on Scheme Identifiers to correctly allow null values.
October 2, 2026 — Fixed response_body_truncated, response_headers_content_truncated, and response_headers_count_truncated fields on Webhooks to correctly allow null values.
October 2, 2026 — Fixed the email field in merchant_contact_details on Billing Request Flows to correctly allow null values.
October 1, 2026 — Made account_number_ending nullable across all resources that reference this shared definition
October 1, 2026 — Added language and phone_number properties to prefilled_customer in Billing Request Flows.
October 1, 2026 — Fixes to mandate property definitions
- Add missing
consent_parametersproperties:id,scheme,currency,fixed_amount_per_payment - Make
max_amount_per_period,max_payments_per_periodandend_datenullable - Add missing
period_alignmenttoperiod_alignmentenum
September 29, 2026 — Add payer_name_verification_result to bank details lookups
Bank details lookups now return a payer_name_verification_result field when an account_holder_name is supplied and a payer name verification check is performed. It can be full, close, cannot_perform_verification or null
September 25, 2026 — Add interval param to GET /reporting/metrics for aggregating results by day, week, or month
You can now pass interval (daily, weekly, or monthly) when fetching metrics to have values aggregated over that period, instead of only receiving a single value for the full start_date/end_date range.
September 17, 2026 — Add "reference" to Create Bank Account Holder Verification
September 11, 2026 — Use specific sub-endpoints URLs for create /instalment_schedules: with_schedule and with_dates
The two variants for creating an instalment_schedule were surfaced as separate functions. However, they both went to the same URL and endpoint on the backend.
This created some bugs in generating our openapi schema and therefore our API reference documentation.
Therefore, we've added specific URLs for each endpoint aliased to the original one: POST /instalment_schedules/with_dates or POST /instalment_schedules/with_schedule.
The existing POST /instalment_schedules endpoint is unchanged and will remain available for the foreseeable future.
Client libraries will now use the specific endpoint matching the method - if you are stubbing the HTTP call you may need to update those stubs.
September 1, 2026 — Add app_connected_organisations export type
Exports can now be created with resource_type: app_connected_organisations, allowing connected merchant details to be exported.
2025#
May 9, 2025 — Removed Refund API limit of 25 refunds per payment.
March 26, 2025 — Added a new endpoint /balances that returns balances for a creditor.
January 27, 2025 — Exposed processing errors in Mandate Import Entries API: Added status filter parameter. Added processing_errors response field.
2024#
December 2, 2024 — Added ACH and PAD-specific API fields: Added mandate_request[consent_type] parameter to Billing Request creation. Added constraints[payment_method] parameter to Billing Request creation. Added subscription_request parameter to Billing Request creation. Added instalment_schedule_request parameter to Billing Request creation.
January 8, 2024 — Added API fields for Faster ACH: Added payment[faster_ach] parameter to Payment creation. Added payment[faster_ach] response field to Payment responses. Added mandate[next_possible_standard_ach_charge_date] response field to Mandate responses.
2023#
July 18, 2023 — Updated our public certificate policy.
June 21, 2023 — Added the resource_metadata property to Events.
March 16, 2023 — Added show_success_redirect_button parameter to Billing Request Flow creation.
March 1, 2023 — Changed the Payout Items API to only return Payout Items created in the previous 6 months.
February 22, 2023 — Made the Billing Requests API and the Blocks API respond in English if the Accept-Language header isn't set, like other API endpoints.
February 8, 2023 — Added billing_request[purpose_code] parameter to Billing Request creation.
January 13, 2023 — Added the verified_at timestamp field to the Mandates API.
2022#
December 23, 2022 — Updated our public certificate policy.
December 20, 2022 — Added authorisation_source parameter to the Mandate creation API and mandate_request[authourisation_source] parameter to the Billing Request creation API. This field is required for offline mandates.
December 13, 2022 — Added creditor_type parameter to the Creditors API.
December 9, 2022 — Added language parameter to Billing Request Flow creation.
November 11, 2022 — Added mandate_request[description] and mandate_request[constraints] parameter to Billing Request creation.
November 1, 2022 — Payout Items are no longer ordered by type. The order of Payout Items for a given Payout is still consistent between requests.
August 5, 2022 — Added payer_requested_dual_signature parameter to Billing Request action confirm payer details.
July 21, 2022 — Added prefilled_customer and prefilled_bank_account parameters to Billing Request creation.
July 14, 2022 — Added mandate_request[reference] parameter to Billing Request creation.
May 10, 2022 — Autogiro scheme is now available in Billing Request flow.
May 4, 2022 — Event creation is now an asynchronous process.
January 26, 2022 — Added support for filtering events by instalment schedule.
2021#
December 31, 2021 — Added support for Sepa Credit Transfer and Sepa Instant Credit Transfer in Billing Request.
November 18, 2021 — Added block endpoints.
August 5, 2021 — Fixed reason codes sent for BECS so they are consistent with documentation.
March 30, 2021 — Added Scenario Simulators endpoint for manual testing in Sandbox.
March 26, 2021 — Added a new resource called Billing Requests.
January 28, 2021 — Added webhook endpoints to view and retry webhooks. Began including webhook_id inside meta key in webhooks.
2020#
October 30, 2020 — Added a new resource called Payer Authorisations.
August 12, 2020 — Added a new event called payer_authorisation_completed.
July 14, 2020 — Added support for applying tax to transaction and surcharge fees.
2019#
Added support for PAD (Canadian) Direct Debit. Added idempotency_key to Webhooks. Added Betalingsservice (Danish Direct Debit).
2018#
Added support for BECS NZ (New Zealand). Added charge_date to payment responses. Added filtering by customer on payments and mandates list endpoints.
2017#
Added currency field to payment creation for foreign exchange payments. Added support for Autogiro (Swedish Direct Debit). Added Mandate PDFs endpoints. Added support for SEPA Core.
2016#
Added filtering by created_at to various APIs.
2015#
July 6, 2015 — Released API version 2015-07-06. Removes Helpers endpoint. Renames start_at/end_at on subscriptions to start_date/end_date. Enforces date format for payment charge_date.
April 29, 2015 — Released API version 2015-04-29. Removes Roles and Users. Replaces Api Keys with Access Tokens. Replaces Publishable Api Keys with Publishable Access Tokens.